r.transect(1)

NAME
r.transect - Outputs raster map layer values lying along user defined transect line(s).

KEYWORDS
raster, profile, transect

SYNOPSIS
r.transect
r.transect --help
r.transect [-g] map=name line=east,north,azimuth,distance[,east,north,azimuth,distance,...] [null_value=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Output easting and northing in first two columns of four column output

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Raster map to be queried

line=east,north,azimuth,distance[,east,north,azimuth,distance,...] [required]
    Transect definition

null_value=string
    String representing NULL value
    Default: *

DESCRIPTION
r.transect outputs, in ASCII, the values in a raster map which lie along one or more user-defined transect lines. The transects are described by their starting coordinates, azimuth, and distance.

The line parameter is a definition of (each) transect line, specified by the geographic coordinates of its starting point (easting, northing), the angle and direction of its travel (azimuth), and its distance (distance).

The azimuth is an angle, in degrees, measured to the east of north. The distance is in map units (meters for a metered database, like UTM).

The null parameter can optionally be set to change the character string representing null values.

NOTES
This program is a front-end to the r.profile program. It simply converts the azimuth and distance to an ending coordinate and then runs r.profile. There once were width= and result=raw|median|average options which are not currently implemented.

SEE ALSO
r.profile, wxGUI profile tool

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: r.transect source code (history)

Latest change: Thursday May 08 20:58:05 2025 in commit: 4144ba81fa125e1549fc52e1cf5feb4fa004be8b

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual